Bug 861924 - rewrite EWS20 Release Notes, Installation Guide and Load Balancing Guide according to EWS20 specifics
rewrite EWS20 Release Notes, Installation Guide and Load Balancing Guide acco...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-Installation-Guide (Show other bugs)
2.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 07:26 EDT by Libor Fuka
Modified: 2012-11-08 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 17:10:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Fuka 2012-10-01 07:26:52 EDT
Description of problem:
========================
Please rewrite all EWS 2.0 Release Notes, Installation Guide and Load Balancing Guide according to:
1. ZIPs/RPMs directory structures and right postinstall scripts (postinstall.httpd and postinstall.tomcat) informations
2. Certified platforms and JDKs - you can find them in EWS2.0 PRD or in our QA page: https://docspace.corp.redhat.com/docs/DOC-16221
3. Right EWS2.0 install prerequisities (please check it also with development/productisation team - Weinan)
   3.1 RHEL5
      - apr* RPM - already in documetation
      - krb5-workstation RPM
      - mod_auth_kerb RPM
      - elinks RPM - only for apachectl status functionality
   3.2 RHEL6
      - apr* RPM - already in documetation
      - krb5-workstation RPM
      - mod_auth_kerb RPM
      - elinks RPM - only for apachectl status functionality


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Misha H. Ali 2012-10-01 21:02:07 EDT
(In reply to comment #0)
> Description of problem:
> ========================
> Please rewrite all EWS 2.0 Release Notes, Installation Guide and Load
> Balancing Guide according to:
> 1. ZIPs/RPMs directory structures and right postinstall scripts
> (postinstall.httpd and postinstall.tomcat) informations

Queried SME.

> 2. Certified platforms and JDKs - you can find them in EWS2.0 PRD or in our
> QA page: https://docspace.corp.redhat.com/docs/DOC-16221

Adding this information.

> 3. Right EWS2.0 install prerequisities (please check it also with
> development/productisation team - Weinan)
>    3.1 RHEL5
>       - apr* RPM - already in documetation
>       - krb5-workstation RPM
>       - mod_auth_kerb RPM
>       - elinks RPM - only for apachectl status functionality
>    3.2 RHEL6
>       - apr* RPM - already in documetation
>       - krb5-workstation RPM
>       - mod_auth_kerb RPM
>       - elinks RPM - only for apachectl status functionality
> 

Asked Weinan to confirm this list and add/subtract prerequisites if required.
Comment 2 Misha H. Ali 2012-10-01 23:44:17 EDT
> 2. Certified platforms and JDKs - you can find them in EWS2.0 PRD or in our
> QA page: https://docspace.corp.redhat.com/docs/DOC-16221

Located a product page that outlines this information [1]. Following up on who updates this, whether it is updated and if this can be linked to for this information to prevent updating the same information in multiple places:

[1] - https://access.redhat.com/knowledge/articles/111753
Comment 5 Misha H. Ali 2012-10-09 17:53:58 EDT
Created new bugs to track the issues in c#4 for each guide and added Libor as QA.
Comment 6 Misha H. Ali 2012-10-14 23:22:29 EDT
Adding Weinan for clarification about the below points:

1. postinstall scripts (postinstall.httpd and postinstall.tomcat) informations -- Not sure what these are, can you clarify Weinan?

2. Prerequisites:

> 3. Right EWS2.0 install prerequisities (please check it also with
> development/productisation team - Weinan)
>    3.1 RHEL5
>       - apr* RPM - already in documetation
>       - krb5-workstation RPM
>       - mod_auth_kerb RPM
>       - elinks RPM - only for apachectl status functionality
>    3.2 RHEL6
>       - apr* RPM - already in documetation
>       - krb5-workstation RPM
>       - mod_auth_kerb RPM
>       - elinks RPM - only for apachectl status functionality
> 

Weinan can you confirm or add to the above list?
Comment 7 Weinan Li 2012-10-17 04:08:06 EDT
(In reply to comment #6)
> Adding Weinan for clarification about the below points:
> 
> 1. postinstall scripts (postinstall.httpd and postinstall.tomcat)
> informations -- Not sure what these are, can you clarify Weinan?

We have postinstall for Zip distribution of httpd:

jboss-ews-2.0/httpd/.postinstall

It's used to setup environment for the user to use jboss-ews correctly.

I haven't heard of postinstall for tomcat6/7, do we have it? I'll ask Permaine to confirm this :-)

> 
> 2. Prerequisites:
> 
> > 3. Right EWS2.0 install prerequisities (please check it also with
> > development/productisation team - Weinan)
> >    3.1 RHEL5
> >       - apr* RPM - already in documetation
> >       - krb5-workstation RPM
> >       - mod_auth_kerb RPM
> >       - elinks RPM - only for apachectl status functionality
> >    3.2 RHEL6
> >       - apr* RPM - already in documetation
> >       - krb5-workstation RPM
> >       - mod_auth_kerb RPM
> >       - elinks RPM - only for apachectl status functionality

Yes.

> > 
> 
> Weinan can you confirm or add to the above list?
Comment 8 Misha H. Ali 2012-10-18 21:56:23 EDT
Updated the Prerequisited list below with the above:

http://file.bne.redhat.com/~mhusnain/EWS2/Installation_Guide/tmp/en-US/html/ch-Installing_EWS_on_Red_Hat_Enterprise_Linux.html#sec-Prerequisites-Linux

Also, added these packages to the install command here:

Procedure 2.2. Installing Required Packages (same link)

Also, the postinstall commands are addressed and updated in another bug, so these should be OK now as well.
Comment 9 Libor Fuka 2012-10-19 08:30:42 EDT
It seems OK, but verify distcache and pcre prerequisities with Weinan.
Its in https://bugzilla.redhat.com/show_bug.cgi?id=864391
Comment 10 Misha H. Ali 2012-10-21 19:09:36 EDT
Added Wei Nan to the linked bug to clarify about pcre and distcache. If the rest of the issues for this bug is OK by you, Libor, could you set it to VERIFIED.
Comment 11 Misha H. Ali 2012-11-08 17:10:44 EST
This bug is set to CLOSED CURRENT RELEASE to indicate that this fix is now released and available at access.redhat.com.

Note You need to log in before you can comment on or make changes to this bug.